package com.zzsmart.qomo.kn.cost.manage.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.zzsmart.qomo.kn.cost.manage.entity.AppSceneCostActual;
import com.zzsmart.qomo.kn.cost.manage.entity.AppSceneCostSapZcorc;
import com.zzsmart.qomo.kn.cost.manage.vo.CostEffectiveVO;
import com.zzsmart.qomo.kn.cost.manage.vo.LaborDiffVO;
import com.zzsmart.qomo.kn.cost.manage.vo.RealLaborVO;
import com.zzsmart.qomo.kn.cost.manage.vo.RealProduceVO;
import org.springframework.web.servlet.ModelAndView;

import java.util.List;

/**
 * @Description: app_scene_cost_actual
 * @Author: jeecg-boot
 * @Date:   2024-10-15
 * @Version: V1.0
 */
public interface IAppSceneCostActualService extends IService<AppSceneCostActual> {

    public void addCostActual(CostEffectiveVO costEffectiveVO);

    public List<String> queryParent(int resultid, String matnr);

    public List<AppSceneCostSapZcorc> queryMatnrDetail(int resultid, String matnr);

    public List<RealLaborVO> queryAufnrDetail(int resultid, String matnr);

    public List<RealProduceVO> queryProduceDetail(int resultid, String matnr);

    public ModelAndView exportMatnrDetail(int resultid, String matnr);

    public ModelAndView exportLaborDetail(int resultid, String matnr);

    public ModelAndView exportProduceDetail(int resultid, String matnr);
}
